OSSL_SLEEP(3ssl)

NAME
OSSL_sleep - delay execution for a specified number of milliseconds

SYNOPSIS
 #include <openssl/crypto.h>

 void OSSL_sleep(uint64_t millis);

DESCRIPTION
OSSL_sleep() is a convenience function to delay execution of the calling thread for (at least) millis milliseconds. The delay is not guaranteed; it may be affected by system activity, by the time spent processing the call, limitation on the underlying system call parameter size or by system timer granularity.

In particular on Windows the maximum amount of time it will sleep is 49 days and on systems where the regular sleep(3) is used as the underlying system call the maximum sleep time is about 136 years.

RETURN VALUES
OSSL_sleep() does not return any value.

HISTORY
OSSL_sleep() was added in OpenSSL 3.2.

COPYRIGHT
Copyright 2022-2023 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.